fn main() {
    // ANCHOR: here
    let mut s = String::from("witaj");

    {
        let r1 = &mut s;
    } // r1 wychodzi tutaj z zakresu, więc bez problemów możemy utworzyć nową referencję.

    let r2 = &mut s;
    // ANCHOR_END: here
}
